#ifndef __NEO_GLOBAL_H__
#  define __NEO_GLOBAL_H__

#define ICONBOXMARGIN 5
#define SELECTRADIUS  4  /* for annotations */  /* for annotations */
#define WIRESTUMPLEN  15

#define NEO_MIXED_T    '%'

/* the following should match the corresponding NST definitions: 
   [but we don't want to import any NST headers here]
*/
#define NEO_SEPCHAR    ':'
#define NEO_VOID_T     'x'
#define NEO_SCALAR_T   's'
#define NEO_FLOAT_T    'f'
#define NEO_BYTE_T     'c'
#define NEO_INT_T      'i'
#define NEO_STRING_T   't'
#define NEO_SPECIAL_T  '<'

#define NEO_OK        0
#define NEO_ERROR    -1 

#define MANDIR_NROFF    "man/cat3"
#define MANSUFFIX_NROFF ".3"
#define MANDIR_HTML     "man/html3"
#define MANSUFFIX_HTML  ".html"
#define EXAMPLE_DIR  "man/examples"
#define HEADERTOKEN  "{header}"

extern char *gacNeoHome;

extern void neo_init_circuits(void);

#endif /*  __NEO_GLOBAL_H__ */
