#ifndef __NST_BASIC_H__
#define __NST_BASIC_H__

extern int     nst_subunits_of(unitptr);
extern void    nst_remove_circuit_inside(unitptr);
extern void    nst_fprintf_update_info(FILE*,unitptr);
extern void    nst_fprintf_hierarchy(FILE*,unitptr);
extern void    nst_fprintf_circuit(FILE*,unitptr);
extern void    nst_fprintf_wires(FILE*, unitptr);
extern unitptr nst_container_from_iostr(char*, unitptr);
extern nst_wire_t *nst_fscanf_wires(FILE*, int, nst_inob_t*);
extern nst_wire_t *nst_fscanf_wires0(FILE*, nst_inob_t*);
extern unitptr nst_fscanf_unit(FILE*, unitptr, dialog_var_t*, unitptr);
extern int     nst_fscanf_unit_error(void);
extern void    nst_fconfig_unit(FILE*, dialog_var_t*, unitptr);
extern void    nst_free_dialog_var(dialog_var_t *pDialogVar);
extern void    nst_change_wires_to_new_unit(unitptr,unitptr);
extern void    nst_add_field(int, char*, int, unitptr);
extern nst_wire_t* nst_insert_new_wire(nst_wire_t*,
                                       unitptr,short int, short int,
                                       unitptr,short int, short int, 
                                       short int, nst_inob_t*);
#endif

