#ifndef __Nst_folders_h__
#define __Nst_folders_h__

extern void  nst_init_folders(void);
extern char *nst_path_of_current_folder(void);
extern int   neo_add_compiled_folder(NstFolder_t*);
extern void  nst_write_referenced_folders(FILE*, unitptr);
extern void  nst_fscanf_folders(FILE*);
extern char *nst_load_folders(char**);
extern void  nst_load_folders_from_file(char*,char*);
extern char *nst_load_folders_from_string(char*);
extern NstIconDefEntry_t *nst_class_entry_for(char*); 
extern char *neo_classname_of(unitptr);
extern dialog_var_t *NstCreateVarOf(NstIconDef_t*);
extern dialog_var_t *NstConfigVarOf(NstIconDef_t*);
extern char *nst_folder_path_and_version_for_loadable_icon(
   char *pcIconName, char *pcFolder, char *pcFolderVersion);

#endif


   
