/***********************************************************************
 * Joerg Walter
 * 
 * $Source$
 ***********************************************************************/
#ifndef _NST_BOX_H
#define _NST_BOX_H

extern unitptr 
getinterval(int iDim, float fScale, float fReplaceZero, unitptr host);
   /*
    * creates unit to monitor the interval of the iDim X_in vector
    * calculates center, scaled range, min, max boundaries of X_in[] data.
    * Desinged for preprocessing of vied3d unit (e.g.:getinterval(u,1.0,1.0))
    */
/* boxPntGen -- generates mesh pnts or uniform random dot ponts */
extern unitptr boxPntGen(int iDim, /* dim of output vector */
		int aiPnt[], /* points per dimension */
		char* tOpt, /* option, ignored */
		unitptr host /* host unit */ );
/* creates a .meshPntGen() unit or .rnd_gen(,-2,) unit with the same .meshPntGen interface depending on a positve Prod{aiPnt[]}.  In case of a returned random unit the field .out_1[2] is invalid and has the values -1 (counter) and 0 (splitt output).
*/

extern unitptr 
meshPntGen(int iDim, int aiPnt[], float fRnd, char* tOpt, unitptr host);

#endif

/*
 * $Log$
 * Revision 1.1  1997/12/04 11:07:44  walter
 * generator for grid data in hyperdim box, etc
 *
 */
