
#ifndef __NST_SERVER_H
#define __NST_SERVER_H

#include <stdio.h>
#include <dlfcn.h>
#include <stdarg.h>
#include <pthread.h>

extern char  *__gpcNstServerName;
extern char  *__gpcNstServerError;
extern void  **__gpuNstServerRoot;  /* address (!) of unitptr of searchroot
                                    [ie. *__gpuNstServerRoot is the unitptr<-!!] */

/*  to permit defining the above auxiliary variables with 
 *  the C-like pseudo-statement "struct NeoDefinitionBlock;" : 
 */

struct NstServerEntryPoints { void (*Unused)(void); };

#define NstServerStuff gsNstUnusedStruct; \
   char *__gpcNstServerName = NULL, *__gpcNstServerError; void **__gpuNstServerRoot=NULL  

/* Neo is started by opening a shared library with suitable _init function.
   Auxiliary variable __gpcNstServerName is used to pass forth server name 
   and receive back error messages, or NULL on success. The macro below
   wraps this into the evaluation of an expression whose value is a pointer
   to the returned error string, or NULL on success. 
*/

#define NST_START_SERVER(NAME,ADR_OF_SEARCHROOT) \
   (__gpcNstServerName=(char*)NAME, __gpuNstServerRoot = (void**)ADR_OF_SEARCHROOT, \
   (dlopen("nstserver.so", RTLD_LAZY|RTLD_GLOBAL) ? __gpcNstServerError : dlerror()))

#endif

