/******************************************************************************
 *
 * neo10.h  -  headers for neo10.c
 *
 * Copyright Helge Ritter, 1996
 *
 *****************************************************************************/
#ifndef __NEO10_H
#define __NEO10_H

#include "neo_event.h"

extern int  giScopeColor;

extern void NeoMinimizeScopeChanges (unitptr uHostIcon);
extern void NeoUpdateScopes ( int iDraw, unitptr uHostIcon);
extern int  NeoSelectsScope (int iX, int iY, unitptr uIcon);
extern void NeoDrawScope (int iColor, unitptr uIcon);
extern void NeoDrawAllScopes (int iColor, unitptr uHostIcon);
extern int  NeoAdjustScopeAction (neo_event_t *pEv, unitptr uIcon);
extern void NeoHighlightScope (unitptr uIcon);
extern void NeoUnhighlightScope (unitptr uIcon);

#endif
