/***********************************************************************

  include file nst_draw.h: 2D-graphics 

  Copyright Helge Ritter, 1995 

 * $Source$
 * $Log$
 * Revision 1.6  1999/09/27 15:21:45  helge
 * added missing declarations
 *
 * Revision 1.5  1999/05/31 18:15:01  helge
 * Added inob-field (inob=interface-object) in *unitptr struct to allow some
 * Neo-related extensions. Other changes mainly removal of files from standard
 * libnst.a into dynamic folders (moved into foldersrc, cf. files added there)
 *
 * Revision 1.4  1997/10/13 16:38:36  helge
 * mainly some changes for src generation with Neo, better locating of errors
 *  & some bugs removed [for details see file nst5/log]
 *
 * Revision 1.3  1997/04/02 14:08:53  helge
 * most man pages now in source code; some corrections;
 * for list, check out new log file in main dir
 *
 * Revision 1.2  1997/03/13  10:54:41  jan
 * Dependency cleanup.
 *
 * Revision 1.2  1997/01/20 13:47:07  helge
 * various minor changes.
 *
 * Revision 1.1  1996/08/07  14:47:33  helge
 * Initial revision
 *

***********************************************************************/
#ifndef __NST_DRAW_H
#define __NST_DRAW_H

extern unitptr draw_sym(char*,int,char*,unitptr);
extern unitptr draw_str(char*,char*,unitptr);
extern unitptr draw_mesh(char*,int,int,int,char*,unitptr);
extern unitptr draw_ellipse(char*,char*,unitptr);
extern unitptr draw_pix(char*,int,int,char*,unitptr);
extern unitptr draw_pix8(char*,int,int,char*,unitptr);
extern unitptr draw_area(int,char*,char*,unitptr);
extern unitptr clear_window(char*,int,unitptr);
extern unitptr window_to_eps(char*,char*,float,float,char*,unitptr);
extern unitptr use_frontbuffer(char*,int,unitptr);
extern unitptr use_backbuffer(char*,int,unitptr);
extern unitptr trf3d_to_2d(char*,unitptr);

#endif
