/*****************************************************************************
 *
 * nst_robot.h  -  header for kinematics calculation units
 *
 * Copyright Helge Ritter, 1994
 *
 * $Source$
 *
 * $Log$
 * Revision 1.2  1997/03/13  09:45:11  jan
 * New folder neuron added. Dependency adjustments made in other folders.
 *
 *
 *****************************************************************************/

#ifndef __NST_ROBOT_H
#define __NST_ROBOT_H

#ifndef PI
    #define PI 3.1415927
#endif

/* all sizes in cm */
#define PUMA_h  66.04
#define PUMA_a1 0
#define PUMA_a2 43.18
#define PUMA_a3 -2.032
#define PUMA_a4 0
#define PUMA_a5 0
#define PUMA_a6 0
#define PUMA_d1 0
#define PUMA_d2 14.909
#define PUMA_d3 0
#define PUMA_d4 43.307
#define PUMA_d5 0
#define PUMA_d6 5.625

extern unitptr puma_kin(char,unitptr);
extern unitptr puma_invkin(char,unitptr);
extern unitptr mult4x1(unitptr host);
extern unitptr mult4x1_n(unitptr host);
extern unitptr mult4x4(unitptr host);
extern unitptr rot_trans_mat4x4(char *fmt, unitptr host);

#endif
